> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Create-from-Transcript Progress

> Poll progress of a transcript-based evaluator creation



## OpenAPI

````yaml get /test_framework/v1/scenarios/create-from-transcript-progress/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/scenarios/create-from-transcript-progress/:
    get:
      tags:
        - test_framework
      description: Scenarios create from transcript progress
      operationId: scenarios-create-from-transcript-progress_2
      parameters:
        - in: query
          name: progress_id
          schema:
            type: string
          description: >-
            UUID progress identifier returned from create-from-transcript-bg
            endpoint
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  agent_id:
                    type: integer
                  status:
                    type: string
                    enum:
                      - in_progress
                      - completed
                      - failed
                  scenario_id:
                    type: integer
                    nullable: true
                  error:
                    type: string
                    nullable: true
                  scenario:
                    type: object
                    nullable: true
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  field_name:
                    type: array
                    items:
                      type: string
          description: ''
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````